=head1 NAME

multiruby_setup - script to help you manage multiruby

=head1 SYNOPSIS

B<multiruby_setup> [B<-h>|I<cmd>|I<spec...>]

B<multiruby_setup> I<mri:svn:current>

=head1 DESCRIPTION

Use B<multiruby_setup> to manage your installed versions of ruby.
This helps you use multiruby command to run anything you want on 
multiple versions of ruby.

The various versions are installed in a subdirectory of .multiruby 
in your home directory.

=head1 OPTIONS

=head2 cmds

B<-h>, B<--help>, B<help> 
 	show this help.

B<build>
 	build and install everything. used internally.

B<clean>
 	clean scm build dirs and remove non-scm build dirs.

B<list>
 	print installed versions.

B<rm:$version>
 	remove a particular version.
  
B<rubygems:merge>
 	symlink all rubygem dirs to one dir.

B<tags>
 	list all tags from svn.

B<update>
 	update svn builds.

B<update:rubygems>
 	update rubygems and nuke install dirs.

=head2 specs

B<the_usual>
 	alias for latest versions from tar + rubygems

B<mri:svn:current>
 	alias for mri:svn:releases and mri:svn:branches.

B<mri:svn:releases>
 	alias for supported releases of mri ruby.

B<mri:svn:branches>
 	alias for active branches of mri ruby.

B<mri:svn:branch:$branch>
 	install a specific $branch of mri from svn.

B<mri:svn:tag:$tag>
 	install a specific $tag of mri from svn.

B<mri:tar:$version>
 	install a specific $version of mri from tarball.

=head2 environment variables

B<GEM_URL>
 	url for rubygems tarballs

B<MRI_SVN>
 	url for MRI SVN

B<RUBY_URL>
 	url for MRI tarballs

B<VERSIONS>
 	what versions to install

B<RUBYOPT> is cleared on installs.

=head1 NOTES

=over 4

=item * you can add a symlink to your rubinius build into ~/.multiruby/install

=item * I need patches/maintainers for other implementations.

=back

=head1 AUTHOR

Ryan Davis, Eric Hodel, seattle.rb

This manual page is written by Praveen Arimbrathodiyl <praveen@debian.org> for
Debian GNU System (GNU/Linux, GNU/kFreeBSD, GNU/Hurd).
